Subject: Re: bug#62498: 29.0.60; paredit and native-comp issues

From: Andrea Corallo <[email-masked]>
Date: Wed, 16 Aug 2023 04:57:19 -0400

Andrea Corallo <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Christos Vagias <[email-masked]>
>>> Date: Mon, 27 Mar 2023 22:41:32 +0200
>>> 
>>> I'm experiencing issues in emacs 29 built from source (commit
>>> 08fbc133756) when using paredit.
>>> When native-compilation hasn't yet created the .eln file it's working
>>> fine. When it's natively compiled though I'm having issues such that
>>> (example is when M-x paredit-mode)
>>> 
>>> Debugger entered--Lisp error: (void-function toggle)
>>>   toggle(toggle #^[nil nil keymap ....
>>>   paredit-mode(toggle)
>>>   funcall-interactively(paredit-mode toggle)
>>>   command-execute(paredit-mode record)
>>> ...
>>
>> Could be bug#61917 again.
>
> Yep probably.  Latest paredit is native compiling fine for me ATM.
>
> Christos could you report if you still see the issue or it's fixed for
> you as well?

No feedback was given so I assume the issue is solved.  Happy to reopen
if is not the case.

Best Regards

  Andrea